package com.phm;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;

/**
 * 启动程序
 *
 * @author phm
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@ComponentScan({ "com.phm.*", "com.test.*" })
public class PHMApplication {
    public static void main(String[] args) {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(PHMApplication.class, args);
        System.out.println("         ___ ___    _____   \n" +
                "______  /   |   \\  /     \\  \n" +
                "\\____ \\/    ~    \\/  \\ /  \\ \n" +
                "|  |_> >    Y    /    Y    \\\n" +
                "|   __/ \\___|_  /\\____|__  /\n" +
                "|__|          \\/         \\/ ");
    }
}
